2019年春版 平成最後のWordPress最新ニュースを確認しておこう!

ブログ管理WordPressニュース, ブログ管理, 平成

WordPress最新ニュースヘッダー

ぐず夫
ぐず夫
縛られるんは楽しいこともあるけど、大概の場合は苦痛しかないで…

カネコ
カネコ
のっけから何を言ってんねん。
またカビ生えたパンでも食ったんか?
ぐず夫
ぐず夫
そんなもん食ってへん!
このブログのこと言ってんねん。
カネコ
カネコ
…ふーん。
ぐず夫
ぐず夫
ちっとは興味もて!
WordPress縛りっちゅうルールのせいで、新しい話題がちっとも思い浮かばへんねん!
カネコ
カネコ
だったらまずは平成31年に入ってからのWordPressの動向でも調べてみたらええんちゃう。
ぐず夫
ぐず夫
ええなそれ!
よし、今回はそれやるで!

ということで、今回は2019年春のWordPressの話題について触れてみたいと思います

WordPressを使ってても最新情報は意外と知らない?

知ってるようで知らないことばかり

カネコ
カネコ
ところでぐず夫はWordPressのこと詳しいんか?

ぐず夫
ぐず夫
んなわけあるか。
トリとパンダに全乗っかりのおんぶにだっこやから、ワシはなーんも知らん。
カネコ
カネコ
誇らしげに胸張るな。
てことは、ワイと同じっちゅうことやな。だったらちぃと調べてみぃへんか。2019年の短い期間で話題になったWordPressニュースを簡単に並べてみよか。
ぐず夫
ぐず夫
おいネコ、なんでそんな乗り気やねん…
カネコ
カネコ
ワイも何かせぇへんと追い出されそやからな。話題も振らなあかんねん。
ぐず夫
ぐず夫
動物の中でも生き残り競争があるんか。世知辛い世の中やで…

2019年もWordPressは世界の主流!

ポイント1

ぐず夫
ぐず夫
なんやよく知らずに漠然と使ってるけど、WordPressて今はどんくらい使われてるんやろな

カネコ
カネコ
こんな記事見つけたで。
19年の4月現在で、Webサイト向けのCMS(サイトを作るためのソフトの総称)のシェアはWordPressが33.5%もあるんやって。
(参考:マイナビニュース)
ぐず夫
ぐず夫
33%?
じゃあ3つのうち1つのサイトはWordPress使って作られてるてことか。
カネコ
カネコ
そうみたいやな。しかもCMSを使わずに作られてるサイトを削ってWordPressに変更してる比率も多いみたいやわ。
ぐず夫
ぐず夫
使わずに作られてるて?
カネコ
カネコ
分かりやすいとこやと、古いテキスト系サイトなんかをWordPressで作ったサイトにお引越ししてる感じやろか。ほら、前に話題になったやん。かの有名なろじぱら、あそこも今はWordPressに移行して継続してんねんて。
ぐず夫
ぐず夫
ろじぱら…?
なんやむかーしむかしに聞いたことあるな。今でも現役なんや。
カネコ
カネコ
しかもLuxeritas使ってるみたいやで。なんや親近感湧くやろ。
ぐず夫
ぐず夫
ふーん。別にどーでもええけど。
カネコ
カネコ
淡白な奴やで…
ポイントその1!

平成の終わりもWordPressは世界の3分の1のサイトで使われている!

シェアが大きいから攻撃もメッチャ受ける

ポイント2

カネコ
カネコ
世界中で使われてるCMSやからか知らへんけど、やっぱメッチャ攻撃も受けてるみたいやで。

ぐず夫
ぐず夫
な、なんやそれ、恐いやないか。
カネコ
カネコ
3月に発表されたセキュリティ対策会社の発表によると、とあるレンタルサーバーだけでも受けた攻撃の総数が半年で1億回以上あったんやって。
(参考:ScanNetSecurityレポート)
ぐず夫
ぐず夫
恐ろしッ!
なんやそれ、大丈夫なんかWordPressて…
カネコ
カネコ
しかも2018年に乗っ取られたサイトの90%はWordPressで作られたサイトだったんやって。えらいこっちゃやで。
(参考:マイナビニュース)
ぐず夫
ぐず夫
あかんやないか!
どないすればええんや!
カネコ
カネコ
そんなんワイ知らんやん。
そんな時は調べてみればええんちゃうか。ポポイのポイと!

古いバージョンのソフトは要注意!

カネコ
カネコ
調べてみたらこんなん出てきたで。
「約6年前のWPプラグイン脆弱性を狙う攻撃が2018年11月に急増」やって。
(参考:SecurityNEXT)
ぐず夫
ぐず夫
ほへ~。
そういやトリも古いプラグイン使うんは気ぃつけなあかんて前に言ってたな。
カネコ
カネコ
WordPressやプラグインもちょいちょい更新が入ってるんやろ?
ぐず夫
ぐず夫
入ってるな。どれもトリに聞いてから最新版に更新してるで。
カネコ
カネコ
やっぱり常に最新を意識せなあかんのやな。そいえばこんなんもあったで。「WordPressに脆弱性、アップデートを」やって。
(参考:マイナビニュース)
ぐず夫
ぐず夫
あかんやん…
ウチは大丈夫なんか?!
カネコ
カネコ
WordPress5.1以前のバージョンやと問題あるみたいやで。ここは最新版やから、これに関しては大丈夫やろけど。
ぐず夫
ぐず夫
ふぅ、肝を冷やしたで。
やっぱりWordPressは便利なソフトなんやろけど、常に最新版を意識せなあかんのやな。
カネコ
カネコ
ほかにもちょ~っと調べただけで色々あったで。
使ってるプラグインとかあったら気ぃつけてな!

◎ スパム対策プラグインにXSSの脆弱性
(参考:SecurityNEXT)
◎ プラグイン「Smart Forms」に意図しない操作をされる脆弱性
(参考:ScanNetSecurity)

ポイントその2!

古いWordPressやプラグインはセキュリティリスクが激高!

一部のPHPのサポートが終了しています

ポイント3

カネコ
カネコ
そういやPHPて知ってるか?

ぐず夫
ぐず夫
なんやそれ、ここで言っちゃあかん夜の言葉の略称か?
カネコ
カネコ
ワイもよく知らへんけどWEBで使われてる開発言語ってやつらしわ。WordPressにもこれが使われてるみたいなんやけど、古ーいバージョンをサポートしなくなったんやって。PHP5.2~5.5の人は4月からサポートせぇへんから、さっさとバージョンアップしろってさ
(参考:マイナビニュース)
ぐず夫
ぐず夫
…なんのこっちゃ。
仕方ないで子パンダに聞いてみるか。

―― 数分後

ぐず夫
ぐず夫
(ほんま簡単に餌で釣れる子パンダやで)
で、PHPてなんや?
ダンパ
ダンパ
(モグモグモグモグ)
簡単に言えばWEBサイト作ったりするためのプログラム言語です。WordPressもこのプログラム言語を使用して作られていますよ。
ぐず夫
ぐず夫
なんや4月からサポートのバージョンが古いと切り捨てられるて書いてるんやけど、ウチは大丈夫なんか?
ダンパ
ダンパ
PHPのバージョンはサーバー側で管理していますので、不安でしたら確認してみるといいですよ。ちなみにウチは7.0以降を使用していますので問題ありません。
ぐず夫
ぐず夫
(5.5までがダメやから…)
だったらウチは大丈夫なんやな!
ふぅ、またまた肝を冷やしたで。
ダンパ
ダンパ
PHPのバージョンはプラグインやテーマの兼ね合いがありますので、古いプラグインなどを使用していると更新によって動かなくなるものもあるかもしれませんので注意が必要です。そんな理由もあって、PHPを更新しない方がいるのも事実なんですね。
ですが、そこには必ずリスクが伴いますので自己責任でお願いしますMixHostを使用の方でしたら、公式がサポートで確認方法を書いてますので、ご自身のPHPバージョンを確認してみると良いですよ。
ぐず夫
ぐず夫
ほーい。暇な時に見てみまーす
ダンパ
ダンパ
今見なさい…
ポイントその3!

PHPのバージョンを確認しておこう!

令和の頭はセキュリティ面に要注意!

ポイント4

カネコ
カネコ
噂やと令和の切り替わりはセキュリティリスクが高いらしいで。ソフトやプラグインのバージョンは極力最新版にするのをオススメするらしいわ。

ぐず夫
ぐず夫
ふーん。
まあそこはトリにお任せやな。基本的にワシはノータッチや。
カネコ
カネコ
最大限の省エネやな…
もう少し自力で頑張ったらどやねん。
ぐず夫
ぐず夫
嫌や!
ワシ、努力は大っ嫌いやもん!
カネコ
カネコ
堂々と自慢すな!
はー、もうバカバカしいで、今回はこれでお終いにしよ。
ポイントその4!

令和の最初はセキュリティリスクが高いので要注意!

知らないことは恐いことです

ぐず夫
ぐず夫
意外に色々あるんやな。
知らずに生きてるけど、知ると恐いことばっかやで。
カネコ
カネコ
WordPressも色々あるってことやろな。
リスクを理解して使うことも重要やで。
ぐず夫
ぐず夫
なーんて、そんな真面目なことばっか言っててもオモロないわ。
今日も元気に1日パワプロライフや、おつかれさ~ん!
カネコ
カネコ
まーたトリのオッサンに叱られるで!
あかんわ、もう知らん。

セキュリティリスクは毎日のように増え続けています。皆さんも注意深く動向を見守ると良いことがあるかもしれませんよ。

ではまた次回!